<template>
  <div>
    <h1 class="my-2">{{ $t("ProviderEdit.offers") }}</h1>
    <v-divider class="my-2"></v-divider>
    <v-data-table
      :headers="headers"
      :items="getOffers"
      loading-text="جاري تحميل البيانات"
      no-data-text="لا يوجد بيانات"
      hide-default-footer
      disable-filtering
      disable-pagination
      disable-sort
      class="elevation-1"
    >
       <template v-slot:[`item.isActive`]="{ item }">
        <v-icon v-if="item.isActive" color="#bf87a0" class="mt-1 my-1">mdi-check-all</v-icon>
        <v-icon v-else color="#E07979" class="mt-1 my-1">mdi mdi-close-outline</v-icon>

      </template>
      <template v-slot:[`item.discount`]="{ item }">
        <div v-if="item.discountAmount" >

          <span>{{ $t("ProviderEdit.discountAmount") }} : {{ item.discountAmount }} </span>
        </div>
        <div v-if="item.discountPercentage" >

          <span>{{ $t("ProviderEdit.discountPercentage") }} : {{ item.discountPercentage }}%</span>
        </div>

      </template>
    </v-data-table>
  </div>
</template>
<script>
import { mapActions, mapGetters } from "vuex";

export default {
  name: "offers",
  data() {
    return {
      headers: [
        {
          text: this.$i18n.t("common.name"),
          value: "name",
        },
        {
          text: this.$i18n.t("ProviderEdit.From"),
          value: "startDate",
        },

        {
          text: this.$i18n.t("ProviderEdit.To"),
          value: "endDate",
        },
        {
          text: this.$i18n.t("ProviderEdit.providerServiceName"),
          value: "providerServiceName",
        },
        {
          text: this.$i18n.t("ProviderEdit.originalPrice"),
          value: "originalPrice",
        },

        {
          text: this.$i18n.t("ProviderEdit.discount"),
          value: "discount",
        },
        {
          text: this.$i18n.t("ProviderEdit.finalPrice"),
          value: "finalPrice",
        },
        {
          text: this.$i18n.t("ProviderEdit.isActive"),
          value: "isActive",
        },
        {
          text: this.$i18n.t("ProviderEdit.countOfPersons"),
          value: "countOfPersons",
        },
      ],
    };
  },
  mounted() {
    this.fetchOffers(this.$route.params.id);
  },
  methods: {
    ...mapActions("accountInformation", ["fetchOffers"]),
  },
  computed: {
    ...mapGetters("accountInformation", ["getOffers"]),
  },
};
</script>
